tigase.component.modules.impl

## Class XmppPingModule<CTX extends Context>

- java.lang.Object
- - tigase.component.modules.AbstractModule<CTX>
  - - tigase.component.modules.impl.XmppPingModule<CTX>

- All Implemented Interfaces:
    ContextAware, InitializingModule, Module

      public class XmppPingModule<CTX extends Context>
      extends AbstractModule<CTX>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmppPingModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFeatures()` Returns XMPP features offered by module.
    `Criteria` | `getModuleCriteria()` Returns critera used by Component to select module to handle incoming stanza.
    `void` | `process(Packet iq)` Process incoming stanza.

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `afterRegistration, beforeRegister, fireEvent, setContext, unregisterModule, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmppPingModule

          public XmppPingModule()

  - ### Method Detail

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `Module`
      Returns XMPP features offered by module. Features will be returned by Service Discovery.
      Returns:
        array of features or `null`.

    - #### getModuleCriteria

          public Criteria getModuleCriteria()

      Description copied from interface: `Module`
      Returns critera used by Component to select module to handle incoming stanza.
      Returns:
        criteria of selecting module.

    - #### process

          public void process(Packet iq)
                       throws ComponentException

      Description copied from interface: `Module`
      Process incoming stanza.
      Parameters:
        `iq` - received `stanza`.
      Throws:
        `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.

Copyright © 2022 "Tigase, Inc.". All rights reserved.